## ros-indigo-cob-bringup 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_bringup)

find_package(catkin REQUIRED)

catkin_package()

### TEST ###
if(CATKIN_ENABLE_TESTING)
  find_package(cob_supported_robots REQUIRED)
  find_package(roslaunch REQUIRED)
  foreach(robot ${cob_supported_robots_ROBOTLIST})
    message("testing for robot: ${robot}")
    roslaunch_add_file_check(robots/${robot}.xml)
  endforeach()
endif()

### INSTALL ###
install(DIRECTORY components controllers drivers robots tools
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS 
  env.sh
  env.sh.display
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES robot.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-bringup (0.6.9-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #764 <https://github.com/ipa320/cob_robots/issues/764> from fmessmer/dualdistro_compatible_env_sh
    select rosdistro in env.sh
  * select rosdistro in env.sh
  * Merge pull request #760 <https://github.com/ipa320/cob_robots/issues/760> from ipa-fxm/cob4-10_hw_upgrade
    cob4-10 hw upgrade
  * cob4-10 hw upgrade
  * Merge pull request #759 <https://github.com/ipa320/cob_robots/issues/759> from ipa-fxm/fix_grippers_onboard_driver
    re-add joint_names param + consistent launch structure for sdhx with remote driver
  * add fake_diagnostics for grippers in sim
  * prepare launch file for sdhx with remote driver
  * fix joint_names params for robots with onboard gripper driver
  * Merge pull request #713 <https://github.com/ipa320/cob_robots/issues/713> from bbrito/ur_launch_pkg_config
    adding pkg_hardware_config arg
  * Merge pull request #757 <https://github.com/ipa320/cob_robots/issues/757> from ipa-fxm/migrate_unity_structure
    simplify config structure
  * simplify config structure
  * Merge pull request #756 <https://github.com/ipa320/cob_robots/issues/756> from HannesBachter/add_cob4-13_cardiff
    changes for cob4-13
  * enable grippers in simulation
  * undo post shipping changes
  * add cob4-cardiff
  * Merge pull request #747 <https://github.com/ipa320/cob_robots/issues/747> from ipa-fxm/add_cob4-13_cardiff
    add cob4-13 cardiff
  * Merge pull request #753 <https://github.com/ipa320/cob_robots/issues/753> from ipa-bnm/feature/sdhx_local
    launch local sdhx driver on cob4-16 gripper computer
  * added launch to start sdhx localy on raspbarry and removed launch from bringup
    fixed typo
  * Merge pull request #741 <https://github.com/ipa320/cob_robots/issues/741> from ipa-fxm/cob-uh_final
    [WIP] cob-uh final
  * Merge pull request #750 <https://github.com/ipa320/cob_robots/issues/750> from ipa-fxm/add_missing_components_cob4-18
    add light and em monitor
  * add light and em monitor
  * cob4-13 config fixes
  * Merge pull request #746 <https://github.com/ipa320/cob_robots/issues/746> from ipa-fxm/add_cob4-18_323
    add cob4-18 323
  * add grippers cob-uh
  * add arms cob-uh
  * add cob4-18 323
  * add cob4-13 cardiff
  * adding pkg_hardware_config arg
  * Contributors: Benjamin Maidel, Bruno Brito, Felix Messmer, Florian Weisshardt, Richard Bormann, cob4-13, fmessmer, ipa-fmw, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-bringup (0.6.8-0trusty) trusty; urgency=high

  * Merge pull request #744 <https://github.com/ipa320/cob_robots/issues/744> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #743 <https://github.com/ipa320/cob_robots/issues/743> from ipa-fxm/laser_range_filter
    introduce laser range filter
  * introduce laser range filter
  * Merge pull request #740 <https://github.com/ipa320/cob_robots/issues/740> from ipa-fxm/fix_cam3d_nodelet_namespaces
    fix nodelet and topic namespaces
  * fix nodelet and topic namespaces
  * Merge pull request #731 <https://github.com/ipa320/cob_robots/issues/731> from ipa-fxm/enhance_auto_recover_logic
    enhance auto_recover logic
  * Merge pull request #733 <https://github.com/ipa320/cob_robots/issues/733> from ipa-fxm/add_cob4-16_uh
    add cob4-16 uh
  * add cob4-16 uh
  * enhance auto_recover logic
  * Merge pull request #728 <https://github.com/ipa320/cob_robots/issues/728> from ipa-nhg/cob47-setup
    setup cob4-7
  * setup cob4-7
  * Merge pull request #725 <https://github.com/ipa320/cob_robots/issues/725> from ipa-fmw/cob4-11_add_light
    add light to cob4-11
  * add light to cob4-11
  * Merge pull request #723 <https://github.com/ipa320/cob_robots/issues/723> from ipa-fxm/move_cob4-2
    move cob4-2 to unity-robotics
  * Merge pull request #722 <https://github.com/ipa320/cob_robots/issues/722> from ipa-mjp/uncomment_ur_arm
    uncomment ur arm
  * move cob4-2 to unity-robotics
  * Merge branch 'indigo_dev' of https://github.com/ipa320/cob_robots into correct_torso_param
  * uncomment ur_arm
  * Merge pull request #720 <https://github.com/ipa320/cob_robots/issues/720> from ipa-fxm/fix_camera_coord_frames
    fix camera coord frames for all cameras and all robots for hw and sim
  * fix frame_id
  * fix image flip for 3dcs
  * consistency for all robots
  * fix frames for usb_camera and sick_3dcs
  * add missing frames for asus
  * add nodelet manager for simulation
  * fix camera coord frames for asus and zr300 on cob4-7
  * add static transforms for zr300
  * remove serial number (only needed for multi-camera setup)
  * fix torso zr300 camera
  * add zr300 launch file
  * use zr300 for torso_right camera
  * Merge pull request #719 <https://github.com/ipa320/cob_robots/issues/719> from ipa-fxm/anon_machine_tag
    anon machine tags
  * Merge pull request #716 <https://github.com/ipa320/cob_robots/issues/716> from ipa-fxm/spacenav_launch_args
    introduce launch args for parameters
  * anon machine tags
  * Merge pull request #717 <https://github.com/ipa320/cob_robots/issues/717> from ipa-fxm/ntp_monitor_toggle
    do not monitor ntp offset for base pcs
  * do not monitor ntp offset for base pcs
  * introduce launch args for parameters
  * Merge pull request #698 <https://github.com/ipa320/cob_robots/issues/698> from ipa-fxm/add_ntp_monitor
    add ntp monitor
  * Merge pull request #714 <https://github.com/ipa320/cob_robots/issues/714> from ipa-fxm/legacy_cleanup
    remove legacy stuff and cleanup dependencies
  * remove legacy stuff and cleanup dependencies
  * add ntp_server for additional pcs of cob4-10
  * fix indentation
  * add ntp monitor
  * Merge pull request #708 <https://github.com/ipa320/cob_robots/issues/708> from ipa-fxm/feature/powerball_raw3-1
    Feature/powerball raw3 1
  * Merge pull request #707 <https://github.com/ipa320/cob_robots/issues/707> from ipa-fxm/update_maintainer


=== debian/control ===
Source: ros-indigo-cob-bringup
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cob-supported-robots, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/cob_bringup
Standards-Version: 3.9.2

Package: ros-indigo-cob-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-canopen-chain-node, ros-indigo-canopen-motor-node, ros-indigo-cob-android-script-server, ros-indigo-cob-base-velocity-smoother, ros-indigo-cob-bms-driver, ros-indigo-cob-calibration-data, ros-indigo-cob-cam3d-throttle, ros-indigo-cob-collision-monitor, ros-indigo-cob-collision-velocity-filter, ros-indigo-cob-command-gui, ros-indigo-cob-control-mode-adapter, ros-indigo-cob-dashboard, ros-indigo-cob-default-env-config, ros-indigo-cob-default-robot-behavior, ros-indigo-cob-default-robot-config, ros-indigo-cob-docker-control, ros-indigo-cob-frame-tracker, ros-indigo-cob-hand-bridge, ros-indigo-cob-hardware-config, ros-indigo-cob-helper-tools, ros-indigo-cob-image-flip, ros-indigo-cob-light, ros-indigo-cob-linear-nav, ros-indigo-cob-mimic, ros-indigo-cob-monitoring, ros-indigo-cob-moveit-config, ros-indigo-cob-obstacle-distance, ros-indigo-cob-omni-drive-controller, ros-indigo-cob-phidget-em-state, ros-indigo-cob-phidget-power-state, ros-indigo-cob-phidgets, ros-indigo-cob-reflector-referencing, ros-indigo-cob-safety-controller, ros-indigo-cob-scan-unifier, ros-indigo-cob-script-server, ros-indigo-cob-sick-lms1xx, ros-indigo-cob-sick-s300, ros-indigo-cob-sound, ros-indigo-cob-teleop, ros-indigo-cob-twist-controller, ros-indigo-cob-voltage-control, ros-indigo-compressed-depth-image-transport, ros-indigo-compressed-image-transport, ros-indigo-controller-manager, ros-indigo-costmap-2d, ros-indigo-diagnostic-aggregator, ros-indigo-generic-throttle, ros-indigo-image-proc, ros-indigo-joint-state-controller, ros-indigo-joint-state-publisher, ros-indigo-joint-trajectory-controller, ros-indigo-joy, ros-indigo-laser-filters, ros-indigo-nodelet, ros-indigo-openni-launch, ros-indigo-openni2-launch, ros-indigo-position-controllers, ros-indigo-realsense-camera, ros-indigo-robot-state-publisher, ros-indigo-roslaunch, ros-indigo-rosserial-python, ros-indigo-rosserial-server, ros-indigo-rostopic, ros-indigo-rplidar-ros, ros-indigo-rviz, ros-indigo-sick-visionary-t-driver, ros-indigo-spacenav-node, ros-indigo-tf2-ros, ros-indigo-theora-image-transport, ros-indigo-topic-tools, ros-indigo-twist-mux, ros-indigo-ur-driver, ros-indigo-usb-cam, ros-indigo-velocity-controllers
Description: This package provides launch files for operating Care-O-bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-bringup//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
